html{
  height: 100%;
}

body{
  height: 100%;
}

header{
    background-image: url('Bilder/Mannschaftsfoto.jpg');
    background-position: bottom;
    width: 100%;
    height: 170px;
    align-content: center;
    
}

.flex-header{
   display:flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.flex-header > h1{
    text-align: center;
    width: 50%;
    height: 100%;
    color: white;
    font-family: monospace;
    font-size: 50px;
    margin: 0px;
    padding: 110px 0px 0px 0px;
}

.flex-header > img{
    width: 100px;
    height: 100px;
    border-radius: 50%;
}

main {
    font-family: monospace;
    margin: 0;
    padding: 0;
    height: calc(100% - 170px);
}


.sidebar {
    margin: 0;
    padding: 0;
    width: 200px;
    background-color: #f1f1f1;
    position: fixed;
    height: 100%;
    overflow: auto;
  }
  
  .sidebar a {
    display: block;
    color: black;
    padding: 16px;
    text-decoration: none;
  }

  .sidebar > h2{
    text-align: center;
 }
   
  .sidebar a.active {
    background-color: #2a2c2b;
    color: white;
  }
  
  .sidebar a:hover:not(.active) {
    background-color: #555;
    color: white;
  }
  
  div.content {
    margin-left: 200px;
    padding: 1px 16px;
    min-height: 550px;
    height: calc(100% - 120px);
  }

  footer{
    bottom:0px;
    width:100%;
    height: 40px;
    position: sticky;
  }

  .footer-div{
    height: 40px;
    display: flex;
    margin: 0px 0px 0px 200px;
    background-color: #2a2c2b;
    color: white;
    border: solid;
    border-width: 2px 0px 0px 0px;
    border-color: #2a2c2b;
    justify-content: space-between;
  }

  .socialmedia-icons > a > img {
    width: 28px;
    height: 28px;
    margin: 6px 0px 0px 0px;
  }
  
  @media screen and (max-width: 700px) {
    .sidebar {
      width: 100%;
      height: auto;
      position: relative;
    }
    .sidebar a {float: left;}
    div.content {margin-left: 0;}
    .flex-header > h1 {
        font-size: 30px;
        padding: 130px 0px 0px 0px;
    }
    .footer-div{
      margin:0px;
    }
  }
  
  @media screen and (max-width: 400px) {
    .sidebar a {
      text-align: center;
      float: none;
    }
    .flex-header > h1 {
        font-size: 15px;
        padding: 145px 0px 0px 0px;
    }
    .footer-div{
      margin:0px;
    }
  }

  @media screen and (max-height: 800px){
    footer{
      visibility: collapse;
    }
  }

